# Interface IvyExtraInfo

All Known Subinterfaces:
  `IvyExtraInfoSpec`

public interface IvyExtraInfo
Represents the set of "extra" info elements in the Ivy descriptor. These elements are children of the "ivy" element, but are not defined in the Ivy schema and come from other namespaces.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<QName,String>`
  `asMap()`
  Returns a map view of the 'extra' info elements such that each key is a javax.xml.namespace.QName representing the namespace and name of the element and each value is the content of the element.
  `@Nullable String`
  `get(String name)`
  Returns the value of the element with the unique element name.
  `@Nullable String`
  `get(String namespace, String name)`
  Returns the value of the element with the name and namespace provided.

- ## Method Details

  - ### get

    @Nullable String get(String name) throws InvalidUserDataException
    Returns the value of the element with the unique element name. If there are multiple elements with the same element name, in different namespaces, a `InvalidUserDataException` will be thrown.
    Parameters:
      `name` - The unique name of the element whose value should be returned
    Returns:
      The value of the element, or null if there is no such element.
    Throws:
      `InvalidUserDataException`

  - ### get

    @Nullable String get(String namespace, String name)
    Returns the value of the element with the name and namespace provided.
    Parameters:
      `namespace` - The namespace of the element whose value should be returned
      `name` - The name of the element whose value should be returned
    Returns:
      The value of the element, or null if there is no such element.

  - ### asMap

    Map<QName,String> asMap()
    Returns a map view of the 'extra' info elements such that each key is a javax.xml.namespace.QName representing the namespace and name of the element and each value is the content of the element.
    Returns:
      The map view of the extra info elements. Returns an empty map if there are no elements.